Model Versions - List

List model versions.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/models/{name}/versions?api-version=2026-09-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/models/{name}/versions?api-version=2026-09-01&$skip={$skip}&$orderBy={$orderBy}&$top={$top}&version={version}&description={description}&offset={offset}&tags={tags}&properties={properties}&feed={feed}&listViewType={listViewType}

URI Parameters

Name In Required Type Description
name
path True

string

Container name. This is case-sensitive.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Name of Azure Machine Learning workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$orderBy
query

string

Ordering of list.

$skip
query

string

Continuation token for pagination.

$top
query

integer (int32)

Maximum number of records to return.

description
query

string

Model description.

feed
query

string

Name of the feed.

listViewType
query

ListViewType

View type for including/excluding (for example) archived entities.

offset
query

integer (int32)

Number of initial results to skip.

properties
query

string

Comma-separated list of property names (and optionally values). Example: prop1,prop2=value2

tags
query

string

Comma-separated list of tag names (and optionally values). Example: tag1,tag2=value2

version
query

string

Model version.

Responses

Name Type Description
200 OK

ModelVersionResourceArmPaginatedResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List Workspace Model Version.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/models/string/versions?api-version=2026-09-01&$orderBy=string&$top=1&version=string&description=string&offset=1&tags=string&properties=string

Sample response

{
  "nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/models/string/versions?api-version=2026-09-01&$skip=2",
  "value": [
    {
      "name": "string",
      "type": "string",
      "id": "string",
      "properties": {
        "description": "string",
        "flavors": {
          "string": {
            "data": {
              "string": "string"
            }
          }
        },
        "isAnonymous": false,
        "modelType": "CustomModel",
        "modelUri": "string",
        "properties": {
          "string": "string"
        },
        "tags": {
          "string": "string"
        }
      },
      "systemData": {
        "createdAt": "2020-01-01T12:34:56.999Z",
        "createdBy": "string",
        "createdByType": "User",
        "lastModifiedAt": "2020-01-01T12:34:56.999Z",
        "lastModifiedBy": "string",
        "lastModifiedByType": "User"
      }
    }
  ]
}

Definitions

Name Description
AssetProvisioningState

Provisioning state of registry asset.

createdByType

The type of identity that created the resource.

DatasetReference

Dataset reference object.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FlavorData
ListViewType

View type for including/excluding (for example) archived entities.

ModelVersion

Azure Resource Manager resource envelope.

ModelVersionProperties

Model asset version details.

ModelVersionResourceArmPaginatedResult

A paginated list of ModelVersion entities.

systemData

Metadata pertaining to creation and last modification of the resource.

AssetProvisioningState

Provisioning state of registry asset.

Value Description
Succeeded
Failed
Canceled
Creating
Updating
Deleting

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatasetReference

Dataset reference object.

Name Type Description
id

string

The fully qualified ARM id of the dataset reference.

name

string

The name of the dataset reference.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FlavorData

Name Type Description
data

object

Model flavor-specific data.

ListViewType

View type for including/excluding (for example) archived entities.

Value Description
ActiveOnly
ArchivedOnly
All

ModelVersion

Azure Resource Manager resource envelope.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties

ModelVersionProperties

[Required] Additional attributes of the entity.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ModelVersionProperties

Model asset version details.

Name Type Default value Description
datasets

DatasetReference[]

Array of dataset references

description

string

The asset description text.

flavors

<string,  FlavorData>

Mapping of model flavors to their properties.

isAnonymous

boolean

False

If the name version are system generated (anonymous registration).

isArchived

boolean

False

Is the asset archived?

jobName

string

Name of the training job which produced this model

modelType

string

The storage format for this entity. Used for NCD.

modelUri

string

The URI path to the model contents.

properties

object

The asset property dictionary.

provisioningState

AssetProvisioningState

Provisioning state for the model version.

stage

string

Stage in the model lifecycle assigned to this model

tags

object

Tag dictionary. Tags can be added, removed, and updated.

ModelVersionResourceArmPaginatedResult

A paginated list of ModelVersion entities.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ModelVersion[]

The ModelVersion items on this page

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.